<?php
include ("../conexion.php"); 


date_default_timezone_set('America/Costa_Rica');

session_start();

        $usu=$_SESSION['username'];
 

		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='u'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v'){
		}else{
			header('location:acceso_denegado.php');
		}

	
		
		$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
		$resultado = $mysqli->query($consulta);
		$row = $resultado->fetch_array();
		$nomb = $row["usu"];
		$cod  = $row["codusu"];
		
		
$codnota=$_GET["codnota"];


		 $consulta = "SELECT * FROM notas_proveedores WHERE codnota='$codnota'";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();

        $cdgpro    = $fila["cdgpro"];
		$tipapli   = $fila["tipapli"];
		$totalnota = $fila["totalnota"];

	//************************************************ Anulo en la  tabla facturas_notas y  notas por lineas   *********************************


     	$sel_act="UPDATE notas_proveedores SET borrado =1 , totalnota = 0, subexe=0, subgra=0, subtot=0, impven=0, destot=0 WHERE codnota='$codnota'";
		$mysqli->query($sel_act);

	
		$sel_art="UPDATE notas_proveedores_lineas SET borrado =1  WHERE codnota='$codnota'";
		$mysqli->query($sel_art);



		//************************************************ anulo el pago a cuenta del cliente y resturo saldo de cxc ***************************************
		

		if ($tipapli != 1 ) {
				

		
$sel_lineas="SELECT * FROM pagos_proveedores_notas_lineas  WHERE codnota='$codnota' ORDER BY numfac ASC";
if ($resultado = $mysqli->query($sel_lineas)) 

    while ($fila = $resultado->fetch_assoc()) {
		

      $numfac   = $fila["numfac"];

	  $monabo   = $fila["monabo"];
	

	$sel_act="UPDATE pagos_proveedores_notas_lineas SET borrado =1  WHERE codnota='$codnota'";
	$mysqli->query($sel_act);
	
	
	
		$consulta3 = "SELECT SALACT FROM web_2201 WHERE numfac='$numfac' AND  cdgpro = $cdgpro";
		$resultado3 = $mysqli->query($consulta3);
		$fila3 = $resultado3->fetch_array();

        $salant = $fila3["SALACT"];
		$salnue = $salant + $monabo;
		

		$sel_act2="UPDATE web_2201 SET salact = $salnue WHERE numfac='$numfac' AND  cdgpro = $cdgpro";
		$mysqli->query($sel_act2);

	}
			
	
	
		$consulta4 = "SELECT  Sum(salact) AS totalfac FROM web_2201 WHERE cdgpro = $cdgpro";
		$resultado4 = $mysqli->query($consulta4);
		$fila4 = $resultado4->fetch_array();

        $total = $fila4["totalfac"];

	    $sel_abono="UPDATE proveedores SET salact='$total' WHERE cdgpro = $cdgpro";
		$mysqli->query($sel_abono);
	
	 
	$sel_act5="UPDATE pagos_proveedores_notas SET estnot =1 , montot = 0 WHERE numnot='$codnota'";
	$mysqli->query($sel_act5);
	


	} 


/////////////////////////////////////////////////////  sumamos al inventario ///////////////////////////////

	$query_tmp = "SELECT * FROM notas_proveedores_lineas WHERE codnota='$codnota' ORDER BY numlinea ASC";
    if ($resultado = $mysqli->query($query_tmp)) 
	$contador=0;
	$baseimponible=0;
    while ($fila = $resultado->fetch_assoc()) {
		
        $numlinea  = $fila["numlinea"];
        $codigo    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$canart    = $fila["canart"];
		$cosart    = $fila["cosart"];	
	    $importe   = $fila["importe"];
	    $impuesto  = $fila["impuesto"];
		$mondes    = $fila["mondes"];
		$desfac    = $fila["desfac"];
		$numlinafe = $fila["numlinafe"];	
		
	////////////////////////////////////////////////   rebajo de unidades al inventatio ///////////////////////

 
 		$query_unidades= "SELECT CDGBAR, EXIACT, COB_IV FROM web_1001 WHERE CDGBAR='$codigo'";
		$resultado2 = $mysqli->query($query_unidades);
		$row2 = $resultado2->fetch_array();
	    $exiact = $row2["EXIACT"];
 

		$exinueva=$exiact + $canart;
				
		$sel_articulos="UPDATE web_1001 SET exiact='$exinueva' WHERE cdgbar='$codigo' and tipart != 2 ";
    	$mysqli->query($sel_articulos);
				
//////////////////////////////////////////////////////////////////////////////////////////////////////////
		
		$contador++;
	}
	
	?>
<html>
	<head>
		<title>Nota de Credito Nula</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
		<script type="text/javascript" src="../funciones/validar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
	
	    function cancelar() {
			location.href="index.php";
		}
		
	
		function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}



		</script>








</head>
	<body onLoad="nobackbutton();">
		<div id="">
			<div id="zonaContenido">
         	<div class="contenidoFactura">
			   <div align="center">
				<div id="tituloForm" class="header">
               Nota de Credito Anulada Exitosamente 
			   </div>
			    <br> </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			    
			  </div>
				<div id="botonBusquedaAWR">					
				
				<div id="" align="center">
					<img src="../img/Symbol-Check_128x128-32.png" width="128" height="128" onClick="cancelar()" border="0" onMouseOver="style.cursor=cursor" title="Salir">
			
			  </div>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>

